## mx4j.tools.config
Class DefaultConfigurationBuilder.Create

    java.lang.Object
      mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
          mx4j.tools.config.DefaultConfigurationBuilder.Create

All Implemented Interfaces:
  ConfigurationBuilder.Node

Enclosing class:
  DefaultConfigurationBuilder

public static class DefaultConfigurationBuilder.Create
extends DefaultConfigurationBuilder.AbstractNode

Constructor Summary
`DefaultConfigurationBuilder.Create()`

Method Summary
`java.lang.Object` `configure(javax.management.MBeanServer server)`
`void` `setClassname(java.lang.String classname)`
`void` `setLoadername(java.lang.String name)`
`void` `setObjectname(java.lang.String name)`

Methods inherited from class mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
`addChild, getChildren, getParent, getText, setAttributes, setParent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.Create

    public DefaultConfigurationBuilder.Create()

Method Detail

### setClassname

    public void setClassname(java.lang.String classname)

### setObjectname

    public void setObjectname(java.lang.String name)
                       throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### setLoadername

    public void setLoadername(java.lang.String name)
                       throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### configure

    public java.lang.Object configure(javax.management.MBeanServer server)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.